Subject: Re: [PATCH] doc:clarify which remotes can be used when contributing

From: Junio C Hamano <[email-masked]>
Date: Fri, 22 Aug 2025 10:56:36 -0700

Daniele Sassoli <[email-masked]> writes:

> Subject: Re: [PATCH] doc:clarify which remotes can be used when contributing

A space is missing before "clarify".

>> Those started from git/git have to learn what different things they
>> need to do to use GGG by reading this extra piece of documentation,
>> and then if they plan to keep using GGG, they will have to do this
>> extra thing each and every time until the end of time (since your
>> preference is not to teach switching to GGG/git from git/git).
>
> I think for someone's first contribution, the most straightforward thing to do
> is simply to stick with what they have setup so far. If someone finds themselves
> doing this more than once, I would imagine they know what they're doing and are
> not beginners, so can figure out to switch the remote themselves.
> ...
> We're trying to achieve the same outcome, which is why I'm trying to have the
> reader follow the path of least resistance in getting their patch to the mailing
> list. If they then find themselves contributing regularly and realise they need
> the more advanced features of gitgitgadget on a regular basis, I'm sure they'll
> figure to switch the remote themselves.

Having been in this project for longer than some people, I strongly
suspect that "they'll figure to switch" will never happen.  Even
when a solution they have (e.g. "Here is how you work around to use
GGG when you didn't start with GGG") is more cumbersome than it has
to be, people tend to stay there in a local minimum, not necessarily
out of habit and laziness, but because they are not told that there
are better ways.  When they do not know they need to "figure to
switch", they won't.

Having said that, as I said, I do not have strong opinions, so I'll
let other people to discuss and come to their own consensus ;-)

Thanks for writing a patch.